package shop.alien.store.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.result.R;
import shop.alien.entity.store.CommonPushReview;

public interface CommonPushReviewService extends IService<CommonPushReview> {

    R<String> add(CommonPushReview review);

    R<String> deleteById(Long id);

    R<String> update(CommonPushReview review);

    R<CommonPushReview> getInfoById(Long id);

    R<IPage<CommonPushReview>> list(Integer pageNum, Integer pageSize, Long pushTaskId, Integer reviewStatus);
}
